<div class="row">
  <div class="col-9">
    <div class="card">
      <div class="class-header bg-primary text-white text-right">
        <div class="col-6 mb-2">Leaves Portal</div>
        <div class="col-6"></div>
      </div>
      <div class="card-body">
        <table class="table table-bordered table-hover table-striped">
          <thead class="text-center table-bordered">
            <th>Sr.no.</th>
            <th>Leave ID</th>
            <th>LeaveDate</th>
            <th>LeaveReason</th>
            <th>Full Day Leaves</th>
            <th>Half Day Leaves</th>
            <th>Employee ID</th>
            <th>Actions</th>
          </thead>
          <tBody>
            <tr *ngFor="let item of leavesArray, let sr=index">
              <td>{{sr+1}}</td>
              <td>{{item.leaveId}} </td>
              <td>{{item.leaveDate}}</td>
              <td>{{item.leaveReason}}</td>
              <td>{{item.noOfFullDayLeaves}}</td>
              <td>{{item.noOfHalfDayLeaves}}</td>
              <td>{{item.empId}}</td>
              <td>
                <Button class="btn btn-success btn-sm" (click)="onEdit(item.leaveId)">edit</Button>
                <Button class="btn btn-danger btn-sm mx-1" (click)="onDelete(item.leaveId)">delete</Button>
              </td>
            </tr>
          </tBody>
        </table>
      </div>
    </div>
  </div>
  <div class="col-3">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white mb-2">
            New Employee
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <form>
          <div class="row">
            <div class="col-6 mb-2">
              <label for="">Leave Id</label>
              <input type="text" class="form-control" name="leaveId" [(ngModel)]="this.leavesObj.leaveId" />
            </div>
            <div class="col-6 mb-2">
              <label for="">Employee Id</label>
              <input type="text" class="form-control" name="employeeId" [(ngModel)]="this.leavesObj.empId" />
            </div>
            <div class="col-6 mb-2">
              <label for="">Leave Date</label>
              <input type="datetime-local" class="form-control" name="leaveDate"
                [(ngModel)]="this.leavesObj.leaveDate" />
            </div>
            <div class="col-6 mb-2">
              <label for="">Leave Reason</label>
              <input type="text" class="form-control" name="leaveReason" [(ngModel)]="this.leavesObj.leaveReason" />
            </div>
            <div class="col-6 mb-2">
              <label for="">Full Day Leaves</label>
              <input type="text" class="form-control" name="noOfFullDayLeaves"
                [(ngModel)]="this.leavesObj.noOfFullDayLeaves" />
            </div>
            <div class="col-6 mb-2">
              <label for="">Half Day Leaves</label>
              <input type="text" class="form-control" name="noOfHalfDayLeaves"
                [(ngModel)]="this.leavesObj.noOfHalfDayLeaves" />
            </div>
            <div class="row text-center pt-3">
              <div class="col-6">
                <button (click)="onReset()" class="btn btn-secondary btn-sm">Reset</button>
              </div>
              <div class="col-6 ">
                <!-- {{this.leavesObj.leaveId}} -->
                <button (click)="onSave()" class="btn btn-success btn-sm" *ngIf="this.leavesObj.leaveId==0">Save
                  Employee</button>
                <button (click)="onSave()" class="btn btn-warning btn-sm" *ngIf="this.leavesObj.leaveId!=0">Update
                  Employee</button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>